Package com.independentsoft.office.spreadsheet.styles

# Class StyleSheet

java.lang.Object
com.independentsoft.office.spreadsheet.styles.StyleSheet

public class StyleSheet extends Object
The Class StyleSheet.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StyleSheet()`
  Instantiates a new style sheet.
  `StyleSheet​(byte[] buffer)`
  Instantiates a new style sheet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StyleSheet`
  `clone()`
  `List<CellBorder>`
  `getCellBorders()`
  Gets the cell borders.
  `List<CellFormat>`
  `getCellFormats()`
  Gets the cell formats.
  `List<CellStyle>`
  `getCellStyles()`
  Gets the cell styles.
  `Colors`
  `getColors()`
  Gets the colors.
  `ExtensionList`
  `getExtensionList()`
  Gets the stylesheet's future-feature extension list (extLst element).
  `List<Fill>`
  `getFills()`
  Gets the fills.
  `List<Font>`
  `getFonts()`
  Gets the fonts.
  `List<Format>`
  `getFormats()`
  Gets the formats.
  `List<MasterCellFormat>`
  `getMasterCellFormats()`
  Gets the master cell formats.
  `List<NumberFormat>`
  `getNumberFormats()`
  Gets the number formats.
  `TableStyles`
  `getTableStyles()`
  Gets the table styles.
  `void`
  `setColors​(Colors colors)`
  Sets the colors.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the stylesheet's future-feature extension list (extLst element).
  `void`
  `setTableStyles​(TableStyles tableStyles)`
  Sets the table styles.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StyleSheet

    public StyleSheet()
    Instantiates a new style sheet.

  - ### StyleSheet

    public StyleSheet​(byte[] buffer) throws XMLStreamException
    Instantiates a new style sheet.
    Parameters:
      `buffer` - the buffer
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public StyleSheet clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCellBorders

    public List<CellBorder> getCellBorders()
    Gets the cell borders.
    Returns:
      the cell borders

  - ### getCellStyles

    public List<CellStyle> getCellStyles()
    Gets the cell styles.
    Returns:
      the cell styles

  - ### getMasterCellFormats

    public List<MasterCellFormat> getMasterCellFormats()
    Gets the master cell formats.
    Returns:
      the master cell formats

  - ### getCellFormats

    public List<CellFormat> getCellFormats()
    Gets the cell formats.
    Returns:
      the cell formats

  - ### getFonts

    public List<Font> getFonts()
    Gets the fonts.
    Returns:
      the fonts

  - ### getFills

    public List<Fill> getFills()
    Gets the fills.
    Returns:
      the fills

  - ### getNumberFormats

    public List<NumberFormat> getNumberFormats()
    Gets the number formats.
    Returns:
      the number formats

  - ### getFormats

    public List<Format> getFormats()
    Gets the formats.
    Returns:
      the formats

  - ### getColors

    public Colors getColors()
    Gets the colors.
    Returns:
      the colors

  - ### setColors

    public void setColors​(Colors colors)
    Sets the colors.
    Parameters:
      `colors` - the new colors

  - ### getTableStyles

    public TableStyles getTableStyles()
    Gets the table styles.
    Returns:
      the table styles

  - ### setTableStyles

    public void setTableStyles​(TableStyles tableStyles)
    Sets the table styles.
    Parameters:
      `tableStyles` - the new table styles

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the stylesheet's future-feature extension list (extLst element).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the stylesheet's future-feature extension list (extLst element).
    Parameters:
      `extensionList` - the new extension list